Bug 165051 - Fix exception scope verification failures in ObjectConstructor.cpp and ObjectPrototype.cpp.
Summary: Fix exception scope verification failures in ObjectConstructor.cpp and Object...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: JavaScriptCore (show other bugs)
Version: WebKit Local Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Mark Lam
URL:
Keywords:
Depends on:
Blocks: 162351
  Show dependency treegraph
 
Reported: 2016-11-23 13:53 PST by Mark Lam
Modified: 2016-11-28 14:30 PST (History)
8 users (show)

See Also:


Attachments
proposed patch. (30.27 KB, patch)
2016-11-23 14:00 PST, Mark Lam
buildbot: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from ews114 for mac-yosemite (1.63 MB, application/zip)
2016-11-23 15:08 PST, Build Bot
no flags Details
proposed patch + EWS failure fixed. (32.12 KB, patch)
2016-11-23 16:20 PST, Mark Lam
mark.lam: review-
Details | Formatted Diff | Diff
proposed patch. (24.56 KB, patch)
2016-11-25 07:56 PST, Mark Lam
sbarati: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Lam 2016-11-23 13:53:23 PST
Patch coming.
Comment 1 Mark Lam 2016-11-23 14:00:48 PST
Created attachment 295378 [details]
proposed patch.
Comment 2 Build Bot 2016-11-23 15:08:24 PST
Comment on attachment 295378 [details]
proposed patch.

Attachment 295378 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/2562237

New failing tests:
http/tests/security/cross-frame-access-object-prototype.html
Comment 3 Build Bot 2016-11-23 15:08:27 PST
Created attachment 295380 [details]
Archive of layout-test-results from ews114 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews114  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 4 Mark Lam 2016-11-23 15:14:08 PST
Comment on attachment 295378 [details]
proposed patch.

Taking out of review while I investigate the test failure.
Comment 5 Mark Lam 2016-11-23 16:20:36 PST
Created attachment 295383 [details]
proposed patch + EWS failure fixed.
Comment 6 Mark Lam 2016-11-24 13:38:50 PST
Comment on attachment 295383 [details]
proposed patch + EWS failure fixed.

It is invalid to replace returning encodedJSValue() with returning { }.  On 32-bit builds, the former is non-zero, while the latter is 0.  Will fix this patch.
Comment 7 Mark Lam 2016-11-25 07:56:27 PST
Created attachment 295423 [details]
proposed patch.
Comment 8 Saam Barati 2016-11-28 14:04:53 PST
Comment on attachment 295423 [details]
proposed patch.

View in context: https://bugs.webkit.org/attachment.cgi?id=295423&action=review

> Source/WebCore/bindings/js/JSDOMWindowCustom.cpp:137
> +        return false;

good catch
Comment 9 Mark Lam 2016-11-28 14:30:44 PST
Thanks for the review.  Landed in r209020: <http://trac.webkit.org/r209020>.